#ifndef EventHandler_h
#define EventHandler_h

#include <app/Looper.h>
#include <app/Message.h>
#include <kernel/OS.h>

#include "AudioVolume.h"
#include "SystemShutdown.h"

class EventHandler : public BLooper
{
   public:
      EventHandler();
      ~EventHandler();

      virtual void MessageReceived(BMessage * msg);
      bool MessageIsForMe(BMessage *pc_Msg);

   private:
      uint8          b_MuteState;
      AudioVolume    c_Volume;     
      SystemShutdown c_Shutdown;
};

#endif
