#ifndef VolumeBar_h
#define VolumeBar_h

/* #include <KernelExport.h> */

#include <Bitmap.h>
#include <Resources.h>
#include <Window.h>
#include <View.h>

#define NB_VOLUME_LEVEL 15
#define NB_BITMAP 4

#define BITMAP_GREY  0
#define BITMAP_RED   1
#define BITMAP_GREEN 2
#define BITMAP_BLUE  3

#define FILTER_FILE "/boot/home/config/add-ons/input_server/filters/berc_filter"
#define IMAGES_FILES "/boot/home/config/settings/BeRC"

class VolumeBar
{
   public:
      VolumeBar();
      ~VolumeBar();

      status_t SetVolumeLevel(uint8 i_Level);

   private:
      status_t InitBitmaps();

      BWindow  *pc_Window;
      BView    *pac_Views[NB_VOLUME_LEVEL];
      
      BBitmap        *pac_Bitmaps[NB_BITMAP];
      BResources     c_Resource;
      /* struct timer   s_Timer; */
};

#endif
