#ifndef TOOLSTESTER_H
#define TOOLSTESTER_H

#include <Window.h>
#include <app/Messenger.h>

#include "EventHandler.h"

#define BG_COLOR ((rgb_color) {230,230,230,0})

#define MSG_VOL_UP   'Brc1'
#define MSG_VOL_DOWN 'Brc2'
#define MSG_MUTE     'Brc3'
#define MSG_POWER    'Brc4'

class ToolsTester : public BApplication
{
public :
   ToolsTester();
   void ButtonPressed(void);
   void PowerPressed(void);
   void VolumeUpPressed(void);
   void VolumeDownPressed(void);

private:
   EventHandler   *pc_EventHandler;   // class that will execute actions
   BMessenger     c_EventMessenger; // messenger associated with the handler

};

class MainWindow : public BWindow
{
public:
   MainWindow(BRect r);
   void MessageReceived(BMessage *message);
   bool QuitRequested();
};

#endif
